package com.testor.ddd.functionConfiguration.application.tableNum;

import com.tongtech.tfw.backend.common.biz.models.BaseResponse;

public interface TableNumManageService {

    /**
     * 获取某表、某字段 当前的最大数值
     * @param tableName
     * @param fieldName
     * @return
     */
    Integer obtainMaxNum(String tableName, String fieldName);

    /**
     * 修改保存 表、字段的当前最大值
     * @param tableName
     * @param fieldName
     * @param maxNum
     * @return
     */
    BaseResponse saveMaxNum(String tableName, String fieldName, Integer maxNum);

    /**
     * 替换 匹配的fieldName
     * @param tableName
     * @param oldFieldName
     * @param newFieldName
     */
    Integer replaceFieldName(String tableName, String oldFieldName, String newFieldName);
}
