package com.testor.ddd.safetyControl.application.service.riskOwnerManage;

import com.testor.ddd.safetyControl.interfaces.model.dto.riskOwner.TSafeRiskOwnerDTO;
import com.testor.ddd.safetyControl.interfaces.model.dto.riskOwner.TSafeRiskOwnerDTOParam;
import com.testor.ddd.safetyControl.interfaces.model.vo.riskOwner.TSafeRiskOwnerVO;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.biz.models.BaseResponseList;

import java.util.List;

public interface RiskOwnerManageService {
    /**
     * 编辑管控部门 责任人
     * @param type 1-危险源；2-风险点（风险分级）
     * @param riskBizId 危险源/风险点 id
     * @return
     */
    BaseResponse editRiskOwner(Integer type, String riskBizId, List<TSafeRiskOwnerDTO> riskOwnerDtoList) throws RuntimeException;

        BaseResponseList<TSafeRiskOwnerVO> listPage(TSafeRiskOwnerDTOParam param);

    BaseResponse deleteByRiskBizId(String riskBizId) throws RuntimeException;

    TSafeRiskOwnerDTO save(TSafeRiskOwnerDTO ownerDTO);

    List<TSafeRiskOwnerVO> listAll(TSafeRiskOwnerDTOParam param);
}
