package com.testor.ddd.safetyControl.domain.lecls.service;

import com.testor.ddd.safetyControl.interfaces.model.dto.lecls.TSafeRiskLeclsConfDTO;
import com.testor.ddd.safetyControl.interfaces.model.dto.lecls.TSafeRiskLeclsRelationDTO;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;

import java.util.List;

public interface RiskLeclsService {

    /**
     * @param riskLeclsConfDtoList
     * @return
     */
    BaseResponse<List<TSafeRiskLeclsConfDTO>> editRiskLeclsConf(String userId, List<TSafeRiskLeclsConfDTO> riskLeclsConfDtoList);

    TSafeRiskLeclsConfDTO findById(String id);

    /**
     * 检测 编码 是否都唯一
     * @return true - 唯一； false - 不唯一
     */
    boolean checkUniqueness(String leclsConfId, Integer type, String name);

    /**
     * @param riskLeclsRelationDtoList
     * @return
     */
    BaseResponse<List<TSafeRiskLeclsRelationDTO>> editRiskLeclsRelation(String userId, List<TSafeRiskLeclsRelationDTO> riskLeclsRelationDtoList);

    TSafeRiskLeclsRelationDTO findRelationById(String id);
}
