package com.testor.ddd.safetyControl.infrastructure.repository.lecls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tongtech.tfw.backend.common.models.supers.SuperModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.SuperBuilder;


/**
 * lec ls 数值配置信息对象 t_safe_risk_lecls_conf
 * 
 * @author testor-framework
 * @date 2022-07-27 14:11:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_safe_risk_lecls_conf")
@ApiModel(value = "TSafeRiskLeclsConf对象" , description = "")
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TSafeRiskLeclsConfDO extends SuperModel
{
    private static final long serialVersionUID = 1L;
/**
 * id
 */
  @ApiModelProperty(value = "id")
  @TableId(value = "id",type = IdType.ASSIGN_UUID)
  private String id;
/**
 * 1-lec;2-ls

 */
  @ApiModelProperty(value = "1-lec;2-ls " , example = "0")
  @TableField("type")
  private Integer type;
/**
 * 最大值
 */
  @ApiModelProperty(value = "最大值" , example = "0")

  @TableField("max_value")
  private Float maxValue;
/**
 * 最小值
 */
  @ApiModelProperty(value = "最小值" , example = "0")
  @TableField("min_value")
  private Float minValue;
/**
 * 最小增加/减少值
 */
  @ApiModelProperty(value = "最小增加/减少值" , example = "0")

  @TableField("min_range")
  private Float minRange;
/**
 * 暂时无用
 */
  @ApiModelProperty(value = "暂时无用")

  @TableField("name")
  private String name;
/**
 * 编码(l,e,c,l,s)
 */
  @ApiModelProperty(value = "编码(l,e,c,l,s)")

  @TableField("code")
  private String code;

  public static final String ID ="id";
  public static final String TYPE ="type";
  public static final String MAX_VALUE ="max_value";
  public static final String MIN_VALUE ="min_value";
  public static final String MIN_RANGE ="min_range";
  public static final String NAME ="name";
  public static final String CODE ="code";


}
