package com.testor.ddd.safetyControl.infrastructure.repository.riskPoint.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.testor.ddd.safetyControl.infrastructure.repository.riskPoint.entity.TSafeRiskPointDO;
import com.testor.ddd.safetyControl.interfaces.model.dto.riskPoint.TSafeRiskPointDTO;
import com.testor.ddd.safetyControl.interfaces.model.dto.riskPoint.TSafeRiskPointDTOParam;
import com.testor.ddd.safetyControl.interfaces.model.vo.riskPoint.TSafeRiskPointVO;
import com.tongtech.tfw.backend.common.models.supers.SuperDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 危险源Mapper接口
 *
 * @author testor-framework
 * @date 2022-07-11 10:00:17
 */
public interface TSafeRiskPointDao extends SuperDao<TSafeRiskPointDO>
{
    /**
     * 作业区域分页查询
     * @param param
     * @return
     */
    IPage<TSafeRiskPointVO> listPage(Page<TSafeRiskPointVO> page, @Param("query") TSafeRiskPointDTOParam param);

    List<TSafeRiskPointDTO> findBySource(@Param("sourceId") String sourceId);
}
