package com.testor.module.contractor.ledger.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.List;
import com.testor.module.contractor.ledger.model.domain.TContractorPerson;

/**
 * 承包商管理人员台账 删除参数对象
 *
 * @author testor-framework
 * @date 2024-11-20 09:58:38
 */

@Data
@ApiModel(value = "TContractorPerson 列表查询参数对象")
@EqualsAndHashCode(callSuper = true)
public class TContractorPersonParam extends TContractorPerson {
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "每页数量")
	private String limit;

	@ApiModelProperty(value = "当前页数")
	private String page;

	@ApiModelProperty(value = "排序字段")
	private String orderBy;

	@ApiModelProperty(value = "排序方式")
	private String orderType;

	@ApiModelProperty(value = "项目ids")
	private List<String> ids;

	@ApiModelProperty(value = "类型查询 0不包含 1包含")
	private String typeQuery;

	private String contractorId;

}
