package com.testor.module.contractor.manage.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.testor.module.contractor.ledger.model.domain.TContractorProtectiveEquipment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.SuperBuilder;


/**
 * 准入信息-防护用品台账关联对象 t_contractor_allow_protective
 *
 * @author testor-framework
 * @date 2024-11-26 14:08:58
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "TContractorAllowProtective对象", description = "")
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TContractorAllowProtectiveVo extends TContractorProtectiveEquipment {

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    private String id;
    /**
     * 准入id
     */
    @ApiModelProperty(value = "准入id")
    private String allowId;
    /**
     * 防护用品id
     */
    @ApiModelProperty(value = "防护用品id")
    private String protectiveId;

    /**
     * 业务id(标识是一条基本信息产生的关系)
     */
    @ApiModelProperty(value = "业务id(标识是一条基本信息产生的关系)")
    private String bizId;
    /**
     * 承包商id
     */
    @ApiModelProperty(value = "承包商id")
    private String contractorId;
    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private String projId;

    public static final String ID = "id";
    public static final String ALLOW_ID = "allow_id";
    public static final String PROTECTIVE_ID = "protective_id";
    public static final String BIZ_ID = "biz_id";
    public static final String CONTRACTOR_ID = "contractor_id";
    public static final String PROJ_ID = "proj_id";


}
