package com.testor.module.environment.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.testor.module.environment.model.domain.TEnvironmentMonthly;
import com.testor.module.environment.model.dto.TEnvironmentMonthlyParam;
import com.tongtech.tfw.backend.common.models.supers.SuperDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 节能环保月报Mapper接口
 *
 * @author testor-framework
 * @date 2022-10-25 15:29:35
 */
public interface TEnvironmentMonthlyDao extends SuperDao<TEnvironmentMonthly>
{
    TEnvironmentMonthly getListCount(@Param("param") TEnvironmentMonthlyParam param,
                                     @Param("companyIds") List<String> companyIds,
                                     @Param("orgId") String orgId);

    IPage<TEnvironmentMonthly> getListMonth(Page<TEnvironmentMonthly> resultPage,@Param("param") TEnvironmentMonthlyParam param,@Param("orgId") String orgId);

    int updateUnit();

    TEnvironmentMonthly getById(@Param("id") String id);

    Page<TEnvironmentMonthly> getPage(Page<TEnvironmentMonthly> resultPage,@Param(Constants.WRAPPER) QueryWrapper<TEnvironmentMonthly> queryWrapper);
}
