package com.testor.module.fives.model.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tongtech.tfw.backend.common.models.supers.SuperModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;


/**
 * 5s标准验收管理对象 t_fives_standard
 *
 * @author testor-framework
 * @date 2022-07-11 14:00:17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_fives_standard")
@ApiModel(value = "TFivesStandard对象", description = "")
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TFivesStandard extends SuperModel {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")

    @TableId("id")
    private String id;
    /**
     * 附件上传
     */
    @ApiModelProperty(value = "附件上传")

    @TableField("ref_id")
    private String refId;
    /**
     * 父级ID
     */
    @ApiModelProperty(value = "父级ID")

    @TableField("parent_id")
    private String parentId;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")

    @TableField("tenant_id")
    private String tenantId;
    /**
     * 流程实例ID
     */
    @ApiModelProperty(value = "流程实例ID")

    @TableField("process_id")
    private String processId;
    /**
     * 流程状态
     */
    @ApiModelProperty(value = "流程状态")

    @TableField("process_status")
    private String processStatus;
    /**
     * 所属组织机构id
     */
    @ApiModelProperty(value = "所属组织机构id")

    @TableField("org_id")
    private String orgId;
    /**
     * 标准类型（字典key - FIVES_STANDARD_TYPE）
     */
    @ApiModelProperty(value = "标准类型（字典key - FIVES_STANDARD_TYPE）")

    @TableField("standard_type")
    private String standardType;
    /**
     * 标准名称
     */
    @ApiModelProperty(value = "标准名称")

    @TableField("standard_name")
    private String standardName;
    /**
     * 分项
     */
    @ApiModelProperty(value = "分项")

    @TableField("sub_option")
    private String subOption;
    /**
     * 子项
     */
    @ApiModelProperty(value = "子项")

    @TableField("child")
    private String child;
    /**
     * 总分
     */
    @ApiModelProperty(value = "总分", example = "0")

    @TableField("total_score")
    private BigDecimal totalScore;


    @ApiModelProperty(value = "列表总分", example = "0")
    @TableField(exist = false)
    private String listTotalScore;

    public static final String ID = "id";
    public static final String REF_ID = "ref_id";
    public static final String PARENT_ID = "parent_id";
    public static final String TENANT_ID = "tenant_id";
    public static final String PROCESS_ID = "process_id";
    public static final String PROCESS_STATUS = "process_status";
    public static final String ORG_ID = "org_id";
    public static final String STANDARD_TYPE = "standard_type";
    public static final String STANDARD_NAME = "standard_name";
    public static final String SUB_OPTION = "sub_option";
    public static final String CHILD = "child";
    public static final String TOTAL_SCORE = "total_score";


}
