package com.testor.module.notice.model.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tongtech.tfw.backend.common.models.supers.SuperModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.SuperBuilder;


/**
 * notice对象 t_sys_notice
 * 
 * @author tong-framework
 * @date 2022-04-27 18:10:12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_sys_file")
@ApiModel(value = "TSysFile对象" , description = "")
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TSysFile extends SuperModel
{
    private static final long serialVersionUID = 1L;
/**
 * 文件id
 */
  @ApiModelProperty(value = "文件id")

  @TableId("file_id")
  private String fileId;

  // /**
  //  * 状态 0 未读 1 已读
  //  */
  // @ApiModelProperty(value = "状态 0 未读 1 已读")
  //
  // @TableField("status")
  // private char status;

/**
 * 创建者
 */
  // @ApiModelProperty(value = "创建者")
  //
  // @TableField("create_by")
  // private String createBy;
/**
 * 最后一次更新者
 */
  // @ApiModelProperty(value = "最后一次更新者")
  //
  // @TableField("update_by")
  // private String updateBy;
/**
 * 备注
 */
  // @ApiModelProperty(value = "备注")
  //
  // @TableField("remarks")
  // private String remarks;
/**
 * 文件原始名称
 */
  @ApiModelProperty(value = "文件原始名称")

  @TableField("file_name")
  private String fileName;
/**
 * 文件原始大小
 */
  @ApiModelProperty(value = "文件原始大小")

  @TableField("file_size")
  private double fileSize;

/**
 * 扩展名称
 */
  @ApiModelProperty(value = "扩展名称")

  @TableField("file_ext")
  private String fileExt;
/**
 * 保存路径
 */
  @ApiModelProperty(value = "保存路径")

  @TableField("file_path")
  private String filePath;
  @TableField("file_dow_name")
  private String fileDowName;


  public static final String FILE_ID ="file_id";
  public static final String STATUS ="status";
  public static final String CREATE_BY ="create_by";
  public static final String UPDATE_BY ="update_by";
  public static final String REMARKS ="remarks";
  public static final String FILE_NAME ="file_name";
  public static final String FILE_SIZE ="file_size";
  public static final String FILE_EXT ="file_ext";
  public static final String FILE_PATH ="file_path";

}
