package com.testor.module.train.exam.service;


import com.testor.module.train.exam.model.domain.TTrainTestQuestions;
import com.testor.module.train.exam.model.dto.TTrainTestQuestionsDelParam;
import com.testor.module.train.exam.model.dto.TTrainTestQuestionsParam;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.biz.models.BizGeneralResponse;
import com.tongtech.tfw.backend.common.models.supers.SuperService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 管理试题——教育培训Service接口
 *
 * @author testor-framework
 * @date 2022-07-13 15:22:00
 */
public interface TTrainTestQuestionsService extends SuperService<TTrainTestQuestions> {

    BaseResponse<TTrainTestQuestions> addEntity(TTrainTestQuestionsParam addRequest) throws Exception;

    BaseResponse<TTrainTestQuestions> getByIds(String id) throws Exception;

    BaseResponse<BizGeneralResponse> updateEntity(TTrainTestQuestions updateRequest) throws Exception;

    BaseResponse<BizGeneralResponse> deleteEntity(TTrainTestQuestionsDelParam deleteRequest) throws Exception;

    BaseResponse<List<TTrainTestQuestionsParam>> autoAddTestQuestions(TTrainTestQuestionsParam tTrainTestQuestionsParam)throws Exception;

    BaseResponse<List<TTrainTestQuestions>> handAddTestQuestions(TTrainTestQuestionsParam tTrainTestQuestionsParam);

    BaseResponse<TTrainTestQuestions> imports(MultipartFile file, TTrainTestQuestions tTrainTestQuestions)throws Exception;

}
