package com.testor.module.train.myManagement.model.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tongtech.tfw.backend.common.models.supers.SuperModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.SuperBuilder;


/**
 * 我的试题练习、考试—安全培训教育对象 t_train_test_questions_exercise
 *
 * @author testor-framework
 * @date 2022-08-08 10:16:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_train_test_questions_exercise")
@ApiModel(value = "TTrainTestQuestionsExercise对象", description = "")
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TTrainTestQuestionsExercise extends SuperModel {
    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")

    @TableId("id")
    private String id;
    /**
     * 父级ID
     */
    @ApiModelProperty(value = "父级ID")

    @TableField("parent_id")
    private String parentId;
    /**
     * 试题id
     */
    @ApiModelProperty(value = "试题id")

    @TableField("test_questions_id")
    private String testQuestionsId;
    /**
     * 选项id
     */
    @ApiModelProperty(value = "选项id")

    @TableField("options_id")
    private String optionsId;
    /**
     * 是否选择
     */
    @ApiModelProperty(value = "是否选择")

    @TableField("is_select")
    private String isSelect;
    /**
     * 人员id
     */
    @ApiModelProperty(value = "人员id")

    @TableField("person_id")
    private String personId;
    /**
     * 选择是否正确 1 正确 0 错误
     */
    @ApiModelProperty(value = "选择是否正确 1 正确 0 错误")

    @TableField("is_correct")
    private String isCorrect;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")

    @TableField("tenant_id")
    private String tenantId;
    /**
     * 流程实例ID
     */
    @ApiModelProperty(value = "流程实例ID")

    @TableField("process_id")
    private String processId;
    /**
     * 流程状态
     */
    @ApiModelProperty(value = "流程状态")

    @TableField("process_status")
    private String processStatus;
    /**
     * 关联个人中心id
     */
    @ApiModelProperty(value = "关联个人中心id")

    @TableField("my_id")
    private String myId;

    public static final String ID = "id";
    public static final String PARENT_ID = "parent_id";
    public static final String TEST_QUESTIONS_ID = "test_questions_id";
    public static final String OPTIONS_ID = "options_id";
    public static final String IS_SELECT = "is_select";
    public static final String PERSON_ID = "person_id";
    public static final String TENANT_ID = "tenant_id";
    public static final String PROCESS_ID = "process_id";
    public static final String PROCESS_STATUS = "process_status";
    public static final String IS_CORRECT = "is_correct";
    public static final String MY_ID = "my_id";


}
